
#include <stdio.h>
#include <stdlib.h>

static void	Error(msg)
char		*msg;
{
	fputs(msg,stderr); fputc('\n',stderr); exit(1);
}

int	main(argc,argv)
int	argc;
char	**argv;
{
	FILE	*file;
	int	N,M,m,n;
	double	data;

	if (argc!=2) Error("usage : aa2ba binaryArray");

	if (argv[1][0]=='-')
	    file=stdout;
	else
	    if ((file=fopen(argv[1],"wb"))==NULL) Error("file not stored.");

	if (scanf("%d %d",&N,&M)!=2) Error("bad array size.");

	fprintf(file,"%d\t%d\n",N,M);

	for (m=0; m<M; m++) for (n=0; n<N; n++) {
	    if (scanf("%lf",&data)!=1) Error("data read error.");

	    fwrite(&data,sizeof(data),1,file);
	}
	if (file!=stdout) fclose(file); return 0;
}
