
#include <stdio.h>
#include <stdlib.h>

static void	Error(msg)
char		*msg;
{
	fputs(msg,stderr); fputc('\n',stderr); exit(1);
}

#define LINE_LEN	512

int	main(argc,argv)
int	argc;
char	**argv;
{
	FILE	*file;
	char	line[LINE_LEN],*format="%lf";
	int	N,M,m,n;
	double	data;

	if (argc!=2 && argc!=3) Error("usage : ba2aa binaryArray {format}");

	if (argv[1][0]=='-')
	    file=stdin;
	else
	    if ((file=fopen(argv[1],"rb"))==NULL) Error("file not found.");

	if (argc==3) format=argv[2];

	if (fgets(line,LINE_LEN,file)==NULL ||
	    sscanf(line,"%d %d",&N,&M)!=2) Error("bad array size.");

	printf("%d\t%d\n",N,M);

	for (m=0; m<M; m++) for (n=0; n<N; n++) {
	    if (fread(&data,sizeof(data),1,file)!=1) Error("data read error.");

	    printf(format,data); putchar('\n');
	}
	if (file!=stdin) fclose(file); return 0;
}
